import React from 'react'
import LdvSlider from 'components/ldvSlider'
import I18n from '../i18n/index'

export default function LdvColorBrightness(props) {
  const {value, onSlidingComplete, minBrightness} = props
  const renderBrightness = () => {
    return (
      <LdvSlider
        min={minBrightness}
        style={props.style}
        title={I18n.getLang('light_sources_tile_dim_lighting_brightness')}
        value={value}
        onSlidingComplete={onSlidingComplete}
        onValueChange={props.onValueChange}/>
    )
  }
  return renderBrightness()
}